%bcond_without check

%global goipath         github.com/shurcooL/graphql
%global commit          18c5c3165e3af7c70ca625593f8066462ad684cc

%gometa

%global common_description %{expand:
Package graphql provides a GraphQL client implementation.}

%global golicenses      LICENSE
%global godocs          example README.md

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        Package graphql provides a GraphQL client implementation

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/graph-gophers/graphql-go)
BuildRequires:  golang(github.com/graph-gophers/graphql-go/relay)
BuildRequires:  golang(golang.org/x/net/context/ctxhttp)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.git18c5c31
- Rebuilt for loongarch64

* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
